
/** 历史数据 */
create table ods_energy_15_min_history
(
    building   string,
    func_id    string,
    meter      string,
    data_time  string,
    data_value decimal(20, 15),
    `dt` string
) COMMENT '能源原始数据15min历史数据'
    partitioned by (`dt` string)
    ROW FORMAT DELIMITED FIELDS TERMINATED BY '\001'
    STORED AS TEXTFILE
    LOCATION
        'hdfs://sagaCluster:8020/warehouse/saga_dw/ods/ods_energy_15_min_history'
    TBLPROPERTIES (
        'orc.compress'='lzo');